Bug 502726 - switch to using PolicyKit
switch to using PolicyKit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 502765
  Show dependency treegraph
 
Reported: 2009-05-27 00:17 EDT by Rahul Sundaram
Modified: 2013-03-13 01:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 05:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-05-27 00:17:04 EDT
Description of problem:

usermode/consolehelper is deprecated since Fedora has a better framework now
called PolicyKit. Please switch to using that instead

http://fedoraproject.org/wiki/Features/PolicyKitOne
Comment 1 Paul Howarth 2009-05-27 06:47:26 EDT
Setting up consolehelper is well documented here and elsewhere:
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Deployment_Guide/s1-access-console-enable.html

Where is the equivalent for PolicyKit?
Comment 2 Rahul Sundaram 2009-05-27 06:53:22 EDT
Upstream should be pointed to

http://people.freedesktop.org/~david/polkit-0.91/docs/
Comment 3 Andreas Thienemann 2009-05-27 07:06:07 EDT
Quoting from http://people.freedesktop.org/~david/polkit-0.91/docs/PolicyKit-1.8.html

"TODO: This manual page should contain a simple introduction to PolicyKit for a system administrator audience. Remains to be written."

I think I'm going to pass...

Rahul: Upstream doesn't seem to be interested in PolicyKit for now. I'm tending to close this WONTFIX or NOTABUG for now. We might revisit this in the future. It is my understanding that right now PolicyKit is pretty much Gnome-centric while the Bacula userbase is not. I'd like to prevent potential conflicts.
Comment 4 Rahul Sundaram 2009-05-27 07:10:27 EDT
PolicyKit is a very generic API with both glib and qt bindings. Of course, since this is a console app, it might not be that useful to move over. I will let you make the decision.
Comment 5 John Poelstra 2009-06-08 16:18:28 EDT
Added 'FutureFeature' keyword to avoid rawhide base
Comment 6 Simone Caronni 2012-07-18 05:22:46 EDT
Current Bacula (5.2.x) in Fedora 17 and rawhide do not use consolehelper anymore for bat.

Note You need to log in before you can comment on or make changes to this bug.